void printi(int val);

int main()
{
  int val;
  int val2 = 2;
  int val3 = 2;

  val = 1;
  printi(val);
  printi(val2);
  printi(val3);

  val = val2;
  val2 = val3;
  printi(val);
  printi(val2);
  printi(val3);

  return 0;
}
